Bug 9162 - Illumos/Solaris Build is Broken using --with-acl.
Illumos/Solaris Build is Broken using --with-acl.
Status: RESOLVED FIXED
Product: Samba 4.0
Classification: Unclassified
Component: File services
4.0.0rc1
All Solaris
: P5 critical
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks: 8622
  Show dependency treegraph
 
Reported: 2012-09-14 03:09 UTC by Ira Cooper
Modified: 2012-09-27 10:39 UTC (History)
1 user (show)

See Also:


Attachments
patch put into autobuild. (1.53 KB, text/plain)
2012-09-14 03:09 UTC, Ira Cooper
ira: review? (abartlet)
jra: review+
vl: review+
bjacke: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Ira Cooper 2012-09-14 03:09:01 UTC
Created attachment 7895 [details]
patch put into autobuild.

The recent ACL changes made source3/modules/vfs_solarisacl.c not compile.

The attached patch makes it compile, and I believe it is right.

I've pushed it into autobuild.
Comment 1 Ira Cooper 2012-09-14 14:24:51 UTC
Karolin,

Can you get this in for RC2?

-Ira
Comment 2 Christian Ambach 2012-09-17 00:36:20 UTC
Would it make sense to add all other patches to VFS related to the ACL changes under this bug as well?

e.g.
1aa281e bj@sernet.de s3: fix the hpux acl module
9222f0f bj@sernet.de s3: fix the tru64 acl module
35632ee bj@sernet.de s3: fix the aix acl module
7a61829 ambi@samba.org s3:vfs_gpfs: fix build after recent VFS changes
Comment 3 Ira Cooper 2012-09-17 01:54:58 UTC
That makes sense, but we'll need the patches.
Comment 4 Björn Jacke 2012-09-17 08:12:00 UTC
Christian, let's just cross-review it so that Karo can pick it. can you please +1 my fixes my comment?

7a61829 looks okay. +1 from me.
Comment 5 Christian Ambach 2012-09-17 17:01:22 UTC
1aa281e bj@sernet.de s3: fix the hpux acl module
9222f0f bj@sernet.de s3: fix the tru64 acl module
35632ee bj@sernet.de s3: fix the aix acl module

+1 for all of them from me
Comment 6 Karolin Seeger 2012-09-18 06:41:19 UTC
Pushed to v4-0-test.
Closing out bug report.

Thanks!
Comment 7 Christian Ambach 2012-09-18 22:53:16 UTC
I couldn't see them in v4-0-test, maybe you didn't push yet?
Comment 8 Ira Cooper 2012-09-19 15:41:50 UTC
(In reply to comment #2)
> Would it make sense to add all other patches to VFS related to the ACL changes
> under this bug as well?
> 
> e.g.
> 1aa281e bj@sernet.de s3: fix the hpux acl module
> 9222f0f bj@sernet.de s3: fix the tru64 acl module
> 35632ee bj@sernet.de s3: fix the aix acl module
> 7a61829 ambi@samba.org s3:vfs_gpfs: fix build after recent VFS changes

All are reviewed and +1 here.  Push away!
Comment 9 Karolin Seeger 2012-09-21 07:15:57 UTC
I pushed the patches to the v4-0-test autobuild. Seems like there are still some technical issues. I am going to ask Metze and re-push if needed.
Comment 10 Karolin Seeger 2012-09-27 10:39:22 UTC
Pushed.
Closing out bug report.

Thanks!